Bug 1280178 - turn off implicit job sharing by default
turn off implicit job sharing by default
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 22.0
: ---
Assigned To: Dan Callaghan
tools-bugs
: FutureFeature, Patch
Depends On:
Blocks: 1220610
  Show dependency treegraph
 
Reported: 2015-11-11 00:46 EST by Dan Callaghan
Modified: 2016-01-14 00:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 00:33:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-11-11 00:46:53 EST
Following on from https://bugzilla.redhat.com/show_bug.cgi?id=1000861#c1 we should flip the default for the deprecated "implicit job sharing" to false, with a suitable release note warning people, so that in a future release we can remove the switch entirely.
Comment 1 Dan Callaghan 2015-11-26 23:15:11 EST
We are going to need to turn off the "implicit job sharing" before we allow inverted groups (bug 1220610) otherwise as soon as any inverted group is created, every Beaker user will have access to modify any job.
Comment 2 Dan Callaghan 2015-11-27 00:03:48 EST
http://gerrit.beaker-project.org/4510
Comment 3 Roman Joost 2015-12-06 19:39:25 EST
This bug fix is included in beaker-server-22.0-0.git.110.c41cd4c which is currently available for testing here:

https://beaker-devel.app.eng.bos.redhat.com/
Comment 5 Dan Callaghan 2016-01-14 00:33:12 EST
Beaker 22.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.